/**
 * @version $Id: ArtifactTest.java 859 2011-03-22 16:14:18Z yegor256@yahoo.com $
 */
package com.rempl.api;

import org.junit.*;
import static org.junit.Assert.*;

public class ArtifactTest {

    @Test
    public void testArtifactNaming() throws Exception {
        assertEquals(
            "Invalid name convertion",
            "rempl:rempl-api:1.0",
            new Artifact("rempl", "rempl-api", "1.0").toString()
        );
    }

    @Test
    public void testArtifactFields() throws Exception {
        Artifact artifact = new Artifact("rempl", "rempl-api", "1.0");
        assertEquals("rempl", artifact.getGroupId());
        assertEquals("rempl-api", artifact.getArtifactId());
        assertEquals("1.0", artifact.getVersion());
    }

}
