/**
 * @version $Id: Query.g 1614 2011-07-10 19:05:43Z guard $
 */
grammar Query;

@header {
    package com.rempl.impl.model;
    import com.ymock.util.RuntimeProblem;
}

@lexer::header {
    package com.rempl.impl.model;
    import com.ymock.util.RuntimeProblem;
}

@lexer::members {
    @Override
    public void emitErrorMessage(String msg) {
        throw RuntimeProblem.make(msg);
    }
}

@parser::members {
    @Override
    public void emitErrorMessage(String msg) {
        throw RuntimeProblem.make(msg);
    }
}

/* context Class inv: true */
context returns [String context]
    :
    'context'
    NAME
    'inv:'
    'true'
    EOF
    { $context = $NAME.text; }
    ;

NAME: ( 'a' .. 'z' | 'A' .. 'Z' )*;
SPACE
    :
    ( ' ' | '\t' | '\n' | '\r' )+
    { skip(); }
    ;
