/**
 * @version $Id: LoadingExceptionTest.java 555 2011-03-12 17:23:39Z yegor256@yahoo.com $
 */
package com.rempl.api;

import org.junit.*;
import static org.junit.Assert.*;

public class LoadingExceptionTest {

    @Test
    public void testValidatesExceptionClass() {
        String reason = "some reason";
        Throwable ex = new LoadingException(reason);
        assertTrue(ex.getMessage().contains(reason));
    }

    @Test
    public void testValidatesExceptionClassWithThrowableSource() {
        String reason = "some reason";
        Throwable ex = new LoadingException(new Throwable(reason));
        assertTrue(ex.getMessage().contains(reason));
    }

}
