/**
 * @version $Id: PrimitiveTypeTest.java 963 2011-03-28 13:44:43Z yegor256@yahoo.com $
 */
package com.rempl.api.uml;

import org.junit.*;
import static org.junit.Assert.*;

public class PrimitiveTypeTest {

    @Test
    public void testDifferentTypes() throws Exception {
        Diagram diagram = new Diagram();
        Instance i = diagram.add("Class");
        i.add("name", "Employee");
        i.add("isAbstract", false);
        i.add("isFinal", true);
        i.add("number", 15);
        String uml = diagram.uml();
        assertTrue(uml.contains("Employee"));
        assertTrue(uml.contains("FALSE"));
        assertTrue(uml.contains("TRUE"));
        assertTrue(uml.contains("15"));
    }

}
